Skip to content
Snippets Groups Projects
Commit 93988780 authored by Junegunn Choi's avatar Junegunn Choi
Browse files

[fzf-tmux] Exit with the same exit status as with fzf

parent ca19762e
No related branches found
No related tags found
No related merge requests found
......@@ -102,7 +102,7 @@ trap cleanup EXIT SIGINT SIGTERM
fail() {
>&2 echo "$1"
exit 1
exit 2
}
fzf="$(which fzf 2> /dev/null)" || fzf="$(dirname "$0")/fzf"
[ -x "$fzf" ] || fail "fzf executable not found"
......@@ -134,5 +134,5 @@ else
cat <&0 > $fifo1 &
fi
cat $fifo2
[ "$(cat $fifo3)" = '0' ]
exit "$(cat $fifo3)"
0% Loading or .
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment